#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	tests	# unit tests

%define		module	jinja2
Summary:	Template engine Jinja2 for Python 3.x
Summary(pl.UTF-8):	Silnik szablonów Jinja2 dla Pythona 3.x
Name:		python3-%{module}
Version:	3.1.6
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/Jinja2
Source0:	https://files.pythonhosted.org/packages/source/J/Jinja2/jinja2-%{version}.tar.gz
# Source0-md5:	66d4c25ff43d1deaf9637ccda523dec8
URL:		https://jinja.palletsprojects.com/en/3.1.x/
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	rpm-pythonprov
%if %{with tests}
BuildRequires:	python3-babel >= 2.7
BuildRequires:	python3-markupsafe >= 2.0
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-trio
%endif
%if %{with doc}
BuildRequires:	python3-pallets-sphinx-themes >= 1.2.0
BuildRequires:	python3-sphinxcontrib-log-cabinet >= 1.0.1
BuildRequires:	python3-sphinx_issues >= 1.2.0
BuildRequires:	sphinx-pdg-3 >= 2.1.2
%endif
BuildArch:	noarch
Requires:	python3-modules >= 1:3.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A small but fast and easy to use stand-alone template engine written
in pure Python. Provides a Django inspired non-XML syntax but supports
inline expressions and an optional sandboxed environment.

%description -l pl.UTF-8
Mały ale szybki i łatwy w użyciu samodzielny silnik szablonów napisany
w czystym Pythonie. Udostępnia podobne do Django, o odmiennej od XML-a
składni i kompilowane do kodu Pythona szablony w opcjonalnie
ograniczonym środowisku.

%package apidoc
Summary:	Jinja2 template engine API documentation
Summary(pl.UTF-8):	Dokumentacja API silnika szablonów Jinja2
Group:		Development/Languages/Python

%description apidoc
API documentation for Jinja2 template engine.

%description apidoc -l pl.UTF-8
Dokumentacja API silnika szablonów Jinja2.

%prep
%setup -q -n jinja2-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C docs -j1 html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT
%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/jinja2-%{version}.dist-info

%if %{with doc}
%files apidoc
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Fri Apr 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-jinja2.git;a=log;h=master

* Fri Apr 04 2025 Jan Rękorajski <baggins@pld-linux.org> 2fc674c
- up to 3.1.6

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> d76d868
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 78f7291
- python 3.13 rebuild

* Thu Sep 01 2022 Jakub Bogusz <qboosh@pld-linux.org> c9fbe92
- updated to 3.1.2

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> eda8fff
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 1bf015b
- rebuild with python 3.10

* Thu Mar 03 2022 Jakub Bogusz <qboosh@pld-linux.org> 9236b02
- updated dependencies

* Tue Oct 05 2021 Elan Ruusamäe <glen@pld-linux.org> 1bab1ac
- Up to 3.0.2, requires Python 3.6

* Tue Oct 05 2021 Elan Ruusamäe <glen@pld-linux.org> 36aca28
- Build only Python3

* Tue Oct 05 2021 Elan Ruusamäe <glen@pld-linux.org> 49a8d54
- Copied from python-jinja2.spec

* Tue Oct 05 2021 Elan Ruusamäe <glen@pld-linux.org> e606858
- Revert "- merged into python-jinja2.spec"

* Fri Nov 12 2010 Artur Frysiak <artur@frysiak.net> b81f42a
- updated to 2.3.1
- build and package html docs

* Fri May 14 2010 sparky <sparky@pld-linux.org> f7e8068
- BR: python3-modules, rpm-pythonprov

* Sun Feb 28 2010 Artur Frysiak <artur@frysiak.net> 80e3596
- up to 2.1.1

* Sun Feb 28 2010 Artur Frysiak <artur@frysiak.net> 6159bc3
- Python 3.x version

